
# Standards: 0.11
---

# 7.2.8 Ensure TCP SYN Cookies is enabled

- name: 7.2.8 - Ensure TCP SYN Cookies is enabled
  ignore_errors: yes
  sysctl:
    ignoreerrors: yes
    name: "net.ipv4.tcp_syncookies"
    value: 1
    state: present
  tags:
    - level-1
    - section-7
    - "7.2.8"
    - scored

- name: 7.2.8 - Ensure TCP SYN Cookies is enabled by active kernel parameters
  command: "{{ item }}"
  ignore_errors: yes
  with_items:
    - "/sbin/sysctl -w net.ipv4.tcp_syncookies=1"
    - "/sbin/sysctl -w net.ipv4.route.flush=1"
  tags:
    - level-1
    - section-7
    - "7.2.8"
    - scored